summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-07-29 04:46:21 +0000
committer Eric Hameleers <alien@slackware.com>2020-07-29 17:59:53 +0200
commit9faa0e110ecf14ad2a82d6c7fd2c72a78a49ea0d (patch)
tree04b5ad5aa57320f5ba81b3f03f18a3e9f697856f
parent3df47c8baadd98f1a0572144353c056b5ea7357f (diff)
downloadcurrent-9faa0e110ecf14ad2a82d6c7fd2c72a78a49ea0d.tar.gz
current-9faa0e110ecf14ad2a82d6c7fd2c72a78a49ea0d.tar.xz
Wed Jul 29 04:46:21 UTC 202020200729044621
d/git-2.28.0-x86_64-1.txz: Upgraded. e/emacspeak-52.0-x86_64-1.txz: Added. l/espeak-ng-1.50-x86_64-1.txz: Added. l/pcaudiolib-1.1-x86_64-1.txz: Added. l/xxHash-0.8.0-x86_64-1.txz: Upgraded. xap/xaos-4.1-x86_64-1.txz: Upgraded.
-rw-r--r--ChangeLog.rss20
-rw-r--r--ChangeLog.txt8
-rw-r--r--FILELIST.TXT180
-rwxr-xr-xextra/source/emacspeak/emacspeak.SlackBuild150
-rw-r--r--extra/source/emacspeak/emacspeak.git1
-rw-r--r--extra/source/emacspeak/emacspeak.tcl8.6.diff33
-rwxr-xr-xrecompress.sh1
-rw-r--r--slackware64/e/maketag5
-rw-r--r--slackware64/e/maketag.ez5
-rw-r--r--slackware64/e/tagfile1
-rw-r--r--slackware64/l/maketag6
-rw-r--r--slackware64/l/maketag.ez6
-rw-r--r--slackware64/l/tagfile2
-rwxr-xr-xsource/e/emacspeak/emacspeak.SlackBuild158
-rw-r--r--source/e/emacspeak/emacspeak.url1
-rwxr-xr-xsource/e/emacspeak/prune-unneeded-files.sh46
-rw-r--r--source/e/emacspeak/slack-desc (renamed from extra/source/emacspeak/slack-desc)0
-rwxr-xr-xsource/l/espeak-ng/espeak-ng.SlackBuild124
-rw-r--r--source/l/espeak-ng/espeak-ng.url1
-rw-r--r--source/l/espeak-ng/slack-desc19
-rwxr-xr-xsource/l/pcaudiolib/pcaudiolib.SlackBuild124
-rw-r--r--source/l/pcaudiolib/pcaudiolib.url1
-rw-r--r--source/l/pcaudiolib/slack-desc19
-rwxr-xr-xsource/xap/xaos/xaos.SlackBuild109
-rw-r--r--source/xap/xaos/xaos.desktop10
-rw-r--r--source/xap/xaos/xaos.pngbin14980 -> 0 bytes
26 files changed, 656 insertions, 374 deletions
diff --git a/ChangeLog.rss b/ChangeLog.rss
index bdeb9e6f..93a40553 100644
--- a/ChangeLog.rss
+++ b/ChangeLog.rss
@@ -11,10 +11,26 @@
<description>Tracking Slackware development in git.</description>
<language>en-us</language>
<id xmlns="http://www.w3.org/2005/Atom">urn:uuid:c964f45e-6732-11e8-bbe5-107b4450212f</id>
- <pubDate>Mon, 27 Jul 2020 18:14:47 GMT</pubDate>
- <lastBuildDate>Tue, 28 Jul 2020 06:59:47 GMT</lastBuildDate>
+ <pubDate>Wed, 29 Jul 2020 04:46:21 GMT</pubDate>
+ <lastBuildDate>Wed, 29 Jul 2020 15:59:46 GMT</lastBuildDate>
<generator>maintain_current_git.sh v 1.12</generator>
<item>
+ <title>Wed, 29 Jul 2020 04:46:21 GMT</title>
+ <pubDate>Wed, 29 Jul 2020 04:46:21 GMT</pubDate>
+ <link>https://git.slackware.nl/current/tag/?h=20200729044621</link>
+ <guid isPermaLink="false">20200729044621</guid>
+ <description>
+ <![CDATA[<pre>
+d/git-2.28.0-x86_64-1.txz: Upgraded.
+e/emacspeak-52.0-x86_64-1.txz: Added.
+l/espeak-ng-1.50-x86_64-1.txz: Added.
+l/pcaudiolib-1.1-x86_64-1.txz: Added.
+l/xxHash-0.8.0-x86_64-1.txz: Upgraded.
+xap/xaos-4.1-x86_64-1.txz: Upgraded.
+ </pre>]]>
+ </description>
+ </item>
+ <item>
<title>Mon, 27 Jul 2020 18:14:47 GMT</title>
<pubDate>Mon, 27 Jul 2020 18:14:47 GMT</pubDate>
<link>https://git.slackware.nl/current/tag/?h=20200727181447</link>
diff --git a/ChangeLog.txt b/ChangeLog.txt
index 9968d80a..8afc9be3 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -1,3 +1,11 @@
+Wed Jul 29 04:46:21 UTC 2020
+d/git-2.28.0-x86_64-1.txz: Upgraded.
+e/emacspeak-52.0-x86_64-1.txz: Added.
+l/espeak-ng-1.50-x86_64-1.txz: Added.
+l/pcaudiolib-1.1-x86_64-1.txz: Added.
+l/xxHash-0.8.0-x86_64-1.txz: Upgraded.
+xap/xaos-4.1-x86_64-1.txz: Upgraded.
++--------------------------+
Mon Jul 27 18:14:47 UTC 2020
a/gettext-0.21-x86_64-1.txz: Upgraded.
d/bison-3.7-x86_64-1.txz: Upgraded.
diff --git a/FILELIST.TXT b/FILELIST.TXT
index 60adacfb..083bc57d 100644
--- a/FILELIST.TXT
+++ b/FILELIST.TXT
@@ -1,20 +1,20 @@
-Mon Jul 27 18:21:48 UTC 2020
+Wed Jul 29 04:48:52 UTC 2020
Here is the file list for this directory. If you are using a
mirror site and find missing or extra files in the disk
subdirectories, please have the archive administrator refresh
the mirror.
-drwxr-xr-x 12 root root 4096 2020-07-27 18:14 .
+drwxr-xr-x 12 root root 4096 2020-07-29 04:46 .
-rw-r--r-- 1 root root 10064 2016-06-30 18:39 ./ANNOUNCE.14_2
-rw-r--r-- 1 root root 14975 2020-02-08 21:06 ./CHANGES_AND_HINTS.TXT
--rw-r--r-- 1 root root 968268 2020-07-26 19:02 ./CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2020-07-26 19:02 ./CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 968977 2020-07-29 04:37 ./CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2020-07-29 04:37 ./CHECKSUMS.md5.asc
-rw-r--r-- 1 root root 17976 1994-06-10 02:28 ./COPYING
-rw-r--r-- 1 root root 35147 2007-06-30 04:21 ./COPYING3
-rw-r--r-- 1 root root 19573 2016-06-23 20:08 ./COPYRIGHT.TXT
-rw-r--r-- 1 root root 616 2006-10-02 04:37 ./CRYPTO_NOTICE.TXT
--rw-r--r-- 1 root root 925916 2020-07-27 18:14 ./ChangeLog.txt
+-rw-r--r-- 1 root root 926207 2020-07-29 04:46 ./ChangeLog.txt
drwxr-xr-x 3 root root 4096 2013-03-20 22:17 ./EFI
drwxr-xr-x 2 root root 4096 2020-07-22 20:27 ./EFI/BOOT
-rw-r--r-- 1 root root 1417216 2019-07-05 18:54 ./EFI/BOOT/bootx64.efi
@@ -25,9 +25,9 @@ drwxr-xr-x 2 root root 4096 2020-07-22 20:27 ./EFI/BOOT
-rwxr-xr-x 1 root root 2504 2019-07-05 18:54 ./EFI/BOOT/make-grub.sh
-rw-r--r-- 1 root root 10722 2013-09-21 19:02 ./EFI/BOOT/osdetect.cfg
-rw-r--r-- 1 root root 1273 2013-08-12 21:08 ./EFI/BOOT/tools.cfg
--rw-r--r-- 1 root root 1275662 2020-07-26 19:01 ./FILELIST.TXT
+-rw-r--r-- 1 root root 1276615 2020-07-29 04:37 ./FILELIST.TXT
-rw-r--r-- 1 root root 1572 2012-08-29 18:27 ./GPG-KEY
--rw-r--r-- 1 root root 757107 2020-07-27 18:21 ./PACKAGES.TXT
+-rw-r--r-- 1 root root 759215 2020-07-29 04:48 ./PACKAGES.TXT
-rw-r--r-- 1 root root 8564 2016-06-28 21:33 ./README.TXT
-rw-r--r-- 1 root root 3629 2020-07-22 20:19 ./README.initrd
-rw-r--r-- 1 root root 34412 2017-12-01 17:44 ./README_CRYPT.TXT
@@ -39,12 +39,12 @@ drwxr-xr-x 2 root root 4096 2020-07-22 20:27 ./EFI/BOOT
-rw-r--r-- 1 root root 17294 2008-12-08 18:13 ./SPEAK_INSTALL.TXT
-rw-r--r-- 1 root root 57632 2016-06-29 18:46 ./Slackware-HOWTO
-rw-r--r-- 1 root root 6668 2018-08-28 21:58 ./UPGRADE.TXT
-drwxr-xr-x 20 root root 4096 2020-07-25 18:12 ./extra
--rw-r--r-- 1 root root 55992 2020-07-25 18:12 ./extra/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2020-07-25 18:12 ./extra/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 70649 2020-07-25 18:12 ./extra/FILE_LIST
--rw-r--r-- 1 root root 275757 2020-07-25 18:12 ./extra/MANIFEST.bz2
--rw-r--r-- 1 root root 47919 2020-07-25 18:12 ./extra/PACKAGES.TXT
+drwxr-xr-x 19 root root 4096 2020-07-29 04:36 ./extra
+-rw-r--r-- 1 root root 55333 2020-07-29 04:36 ./extra/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2020-07-29 04:36 ./extra/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 69704 2020-07-29 04:35 ./extra/FILE_LIST
+-rw-r--r-- 1 root root 256760 2020-07-29 04:35 ./extra/MANIFEST.bz2
+-rw-r--r-- 1 root root 47079 2020-07-29 04:36 ./extra/PACKAGES.TXT
-rw-r--r-- 1 root root 149 2002-02-09 00:18 ./extra/README.TXT
drwxr-xr-x 2 root root 20480 2020-05-26 20:38 ./extra/aspell-word-lists
-rw-r--r-- 1 root root 171 2016-06-06 20:10 ./extra/aspell-word-lists/aspell-af-0.50_0-x86_64-5.txt
@@ -335,11 +335,6 @@ drwxr-xr-x 2 root root 4096 2020-05-18 19:38 ./extra/brltty
-rw-r--r-- 1 root root 360 2020-05-17 02:29 ./extra/brltty/brltty-6.1-x86_64-2.txt
-rw-r--r-- 1 root root 2114856 2020-05-17 02:29 ./extra/brltty/brltty-6.1-x86_64-2.txz
-rw-r--r-- 1 root root 163 2020-05-17 02:29 ./extra/brltty/brltty-6.1-x86_64-2.txz.asc
-drwxr-xr-x 2 root root 4096 2013-09-13 20:05 ./extra/emacspeak
--rw-r--r-- 1 root root 6992 2012-06-23 21:23 ./extra/emacspeak/HOWTO_emacspeak-on-slack.txt
--rw-r--r-- 1 root root 665 2013-09-09 23:22 ./extra/emacspeak/emacspeak-38.0-x86_64-1.txt
--rw-r--r-- 1 root root 4240996 2013-09-09 23:22 ./extra/emacspeak/emacspeak-38.0-x86_64-1.txz
--rw-r--r-- 1 root root 198 2013-09-09 23:22 ./extra/emacspeak/emacspeak-38.0-x86_64-1.txz.asc
lrwxrwxrwx 1 root root 25 2009-08-23 23:37 ./extra/flashplayer-plugin -> source/flashplayer-plugin
drwxr-xr-x 2 root root 4096 2019-03-04 23:55 ./extra/fltk
-rw-r--r-- 1 root root 490 2019-03-04 22:02 ./extra/fltk/fltk-1.3.5-x86_64-1.txt
@@ -426,7 +421,7 @@ drwxr-xr-x 2 root root 4096 2020-07-23 20:10 ./extra/sendmail
-rw-r--r-- 1 root root 586 2020-07-23 19:11 ./extra/sendmail/sendmail-cf-8.16.1-noarch-2.txt
-rw-r--r-- 1 root root 116392 2020-07-23 19:11 ./extra/sendmail/sendmail-cf-8.16.1-noarch-2.txz
-rw-r--r-- 1 root root 163 2020-07-23 19:11 ./extra/sendmail/sendmail-cf-8.16.1-noarch-2.txz.asc
-drwxr-xr-x 19 root root 4096 2020-07-05 19:21 ./extra/source
+drwxr-xr-x 18 root root 4096 2020-07-29 03:48 ./extra/source
drwxr-xr-x 4 root root 4096 2018-11-09 05:59 ./extra/source/aspell-word-lists
-rwxr-xr-x 1 root root 3531 2020-05-26 20:06 ./extra/source/aspell-word-lists/aspell-dict.SlackBuild
drwxr-xr-x 2 root root 4096 2020-05-25 18:51 ./extra/source/aspell-word-lists/build
@@ -600,12 +595,6 @@ drwxr-xr-x 2 root root 4096 2020-04-06 20:01 ./extra/source/brltty
-rwxr-xr-x 1 root root 4631 2020-05-17 02:28 ./extra/source/brltty/brltty.SlackBuild
-rwxr-xr-x 1 root root 847 2020-04-06 19:59 ./extra/source/brltty/dump.dos.windows.android.stuff.sh
-rw-r--r-- 1 root root 814 2018-02-27 06:13 ./extra/source/brltty/slack-desc
-drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./extra/source/emacspeak
--rw-r--r-- 1 root root 4109032 2013-09-09 23:18 ./extra/source/emacspeak/emacspeak-38.0.tar.xz
--rwxr-xr-x 1 root root 4438 2019-09-29 23:48 ./extra/source/emacspeak/emacspeak.SlackBuild
--rw-r--r-- 1 root root 47 2015-06-30 17:23 ./extra/source/emacspeak/emacspeak.git
--rw-r--r-- 1 root root 534 2013-09-09 23:20 ./extra/source/emacspeak/emacspeak.tcl8.6.diff.gz
--rw-r--r-- 1 root root 1120 2018-02-27 06:13 ./extra/source/emacspeak/slack-desc
drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./extra/source/flashplayer-plugin
-rwxr-xr-- 1 root root 6554 2019-11-01 18:48 ./extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
-rw-r--r-- 1 root root 1012 2018-02-27 06:13 ./extra/source/flashplayer-plugin/slack-desc
@@ -817,11 +806,11 @@ drwxr-xr-x 2 root root 4096 2012-09-20 18:06 ./patches
-rw-r--r-- 1 root root 575 2012-09-20 18:06 ./patches/FILE_LIST
-rw-r--r-- 1 root root 14 2012-09-20 18:06 ./patches/MANIFEST.bz2
-rw-r--r-- 1 root root 224 2012-09-20 18:06 ./patches/PACKAGES.TXT
-drwxr-xr-x 18 root root 4096 2020-07-27 18:21 ./slackware64
--rw-r--r-- 1 root root 298774 2020-07-27 18:21 ./slackware64/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2020-07-27 18:21 ./slackware64/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 371930 2020-07-27 18:20 ./slackware64/FILE_LIST
--rw-r--r-- 1 root root 3872894 2020-07-27 18:21 ./slackware64/MANIFEST.bz2
+drwxr-xr-x 18 root root 4096 2020-07-29 04:48 ./slackware64
+-rw-r--r-- 1 root root 299380 2020-07-29 04:48 ./slackware64/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2020-07-29 04:48 ./slackware64/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 372671 2020-07-29 04:48 ./slackware64/FILE_LIST
+-rw-r--r-- 1 root root 3883630 2020-07-29 04:48 ./slackware64/MANIFEST.bz2
lrwxrwxrwx 1 root root 15 2009-08-23 23:34 ./slackware64/PACKAGES.TXT -> ../PACKAGES.TXT
drwxr-xr-x 2 root root 20480 2020-07-27 18:20 ./slackware64/a
-rw-r--r-- 1 root root 327 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txt
@@ -1444,7 +1433,7 @@ drwxr-xr-x 2 root root 20480 2020-07-24 18:46 ./slackware64/ap
-rw-r--r-- 1 root root 506 2020-02-16 18:00 ./slackware64/ap/zsh-5.8-x86_64-1.txt
-rw-r--r-- 1 root root 3053312 2020-02-16 18:00 ./slackware64/ap/zsh-5.8-x86_64-1.txz
-rw-r--r-- 1 root root 163 2020-02-16 18:00 ./slackware64/ap/zsh-5.8-x86_64-1.txz.asc
-drwxr-xr-x 2 root root 16384 2020-07-27 18:20 ./slackware64/d
+drwxr-xr-x 2 root root 16384 2020-07-29 04:36 ./slackware64/d
-rw-r--r-- 1 root root 360 2020-07-09 19:56 ./slackware64/d/Cython-0.29.21-x86_64-1.txt
-rw-r--r-- 1 root root 2381796 2020-07-09 19:56 ./slackware64/d/Cython-0.29.21-x86_64-1.txz
-rw-r--r-- 1 root root 163 2020-07-09 19:56 ./slackware64/d/Cython-0.29.21-x86_64-1.txz.asc
@@ -1520,9 +1509,9 @@ drwxr-xr-x 2 root root 16384 2020-07-27 18:20 ./slackware64/d
-rw-r--r-- 1 root root 628 2020-07-27 17:32 ./slackware64/d/gettext-tools-0.21-x86_64-1.txt
-rw-r--r-- 1 root root 2174776 2020-07-27 17:32 ./slackware64/d/gettext-tools-0.21-x86_64-1.txz
-rw-r--r-- 1 root root 163 2020-07-27 17:32 ./slackware64/d/gettext-tools-0.21-x86_64-1.txz.asc
--rw-r--r-- 1 root root 397 2020-06-02 18:44 ./slackware64/d/git-2.27.0-x86_64-1.txt
--rw-r--r-- 1 root root 6917680 2020-06-02 18:44 ./slackware64/d/git-2.27.0-x86_64-1.txz
--rw-r--r-- 1 root root 163 2020-06-02 18:44 ./slackware64/d/git-2.27.0-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 397 2020-07-28 17:49 ./slackware64/d/git-2.28.0-x86_64-1.txt
+-rw-r--r-- 1 root root 6971364 2020-07-28 17:49 ./slackware64/d/git-2.28.0-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-07-28 17:49 ./slackware64/d/git-2.28.0-x86_64-1.txz.asc
-rw-r--r-- 1 root root 589 2020-02-12 18:38 ./slackware64/d/gnucobol-2.2-x86_64-3.txt
-rw-r--r-- 1 root root 667588 2020-02-12 18:38 ./slackware64/d/gnucobol-2.2-x86_64-3.txz
-rw-r--r-- 1 root root 163 2020-02-12 18:38 ./slackware64/d/gnucobol-2.2-x86_64-3.txz.asc
@@ -1648,15 +1637,18 @@ drwxr-xr-x 2 root root 16384 2020-07-27 18:20 ./slackware64/d
-rw-r--r-- 1 root root 591 2018-04-13 14:12 ./slackware64/d/yasm-1.3.0-x86_64-2.txt
-rw-r--r-- 1 root root 532592 2018-04-13 14:12 ./slackware64/d/yasm-1.3.0-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 14:12 ./slackware64/d/yasm-1.3.0-x86_64-2.txz.asc
-drwxr-xr-x 2 root root 4096 2019-11-25 19:24 ./slackware64/e
+drwxr-xr-x 2 root root 4096 2020-07-29 04:47 ./slackware64/e
-rw-r--r-- 1 root root 471 2019-11-25 18:30 ./slackware64/e/emacs-26.3-x86_64-3.txt
-rw-r--r-- 1 root root 40176316 2019-11-25 18:30 ./slackware64/e/emacs-26.3-x86_64-3.txz
-rw-r--r-- 1 root root 163 2019-11-25 18:30 ./slackware64/e/emacs-26.3-x86_64-3.txz.asc
+-rw-r--r-- 1 root root 663 2020-07-29 04:41 ./slackware64/e/emacspeak-52.0-x86_64-1.txt
+-rw-r--r-- 1 root root 14989288 2020-07-29 04:41 ./slackware64/e/emacspeak-52.0-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-07-29 04:41 ./slackware64/e/emacspeak-52.0-x86_64-1.txz.asc
-rwxr-xr-x 1 root root 2897 2009-06-24 22:06 ./slackware64/e/install-packages
-rw-r--r-- 1 root root 446 2006-09-18 10:41 ./slackware64/e/install.end
--rw-r--r-- 1 root root 959 2018-03-01 07:54 ./slackware64/e/maketag
--rw-r--r-- 1 root root 959 2018-03-01 07:54 ./slackware64/e/maketag.ez
--rw-r--r-- 1 root root 10 2018-03-01 07:54 ./slackware64/e/tagfile
+-rw-r--r-- 1 root root 1023 2020-07-29 04:33 ./slackware64/e/maketag
+-rw-r--r-- 1 root root 1023 2020-07-29 04:33 ./slackware64/e/maketag.ez
+-rw-r--r-- 1 root root 24 2020-07-29 04:33 ./slackware64/e/tagfile
drwxr-xr-x 2 root root 4096 2016-04-01 21:41 ./slackware64/f
-rwxr-xr-x 1 root root 2897 2009-06-24 22:06 ./slackware64/f/install-packages
-rw-r--r-- 1 root root 446 2006-09-18 10:41 ./slackware64/f/install.end
@@ -2518,7 +2510,7 @@ drwxr-xr-x 2 root root 20480 2016-03-10 03:11 ./slackware64/kdei
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag.ez
-rw-r--r-- 1 root root 1500 2018-03-01 07:54 ./slackware64/kdei/tagfile
-drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
+drwxr-xr-x 2 root root 69632 2020-07-29 04:36 ./slackware64/l
-rw-r--r-- 1 root root 338 2020-05-16 19:55 ./slackware64/l/ConsoleKit2-1.2.1-x86_64-4.txt
-rw-r--r-- 1 root root 193724 2020-05-16 19:55 ./slackware64/l/ConsoleKit2-1.2.1-x86_64-4.txz
-rw-r--r-- 1 root root 163 2020-05-16 19:55 ./slackware64/l/ConsoleKit2-1.2.1-x86_64-4.txz.asc
@@ -2678,6 +2670,9 @@ drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
-rw-r--r-- 1 root root 504 2018-04-13 14:30 ./slackware64/l/esound-0.2.41-x86_64-3.txt
-rw-r--r-- 1 root root 102120 2018-04-13 14:30 ./slackware64/l/esound-0.2.41-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-13 14:30 ./slackware64/l/esound-0.2.41-x86_64-3.txz.asc
+-rw-r--r-- 1 root root 572 2020-07-29 02:36 ./slackware64/l/espeak-ng-1.50-x86_64-1.txt
+-rw-r--r-- 1 root root 2452308 2020-07-29 02:36 ./slackware64/l/espeak-ng-1.50-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-07-29 02:36 ./slackware64/l/espeak-ng-1.50-x86_64-1.txz.asc
-rw-r--r-- 1 root root 256 2018-04-17 07:39 ./slackware64/l/exiv2-0.26-x86_64-3.txt
-rw-r--r-- 1 root root 1561208 2018-04-17 07:39 ./slackware64/l/exiv2-0.26-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-17 07:39 ./slackware64/l/exiv2-0.26-x86_64-3.txz.asc
@@ -2725,10 +2720,10 @@ drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
-rw-r--r-- 1 root root 163 2019-04-03 20:59 ./slackware64/l/gdbm-1.18.1-x86_64-2.txz.asc
-rw-r--r-- 1 root root 537 2019-10-08 18:28 ./slackware64/l/gdk-pixbuf2-2.40.0-x86_64-1.txt
-rw-r--r-- 1 root root 669440 2019-10-08 18:28 ./slackware64/l/gdk-pixbuf2-2.40.0-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-10-08 18:28 ./slackware64/l/gdk-pixbuf2-2.40.0-x86_64-1.txz.asc
--rw-r--r-- 1 root root 406 2020-06-08 18:44 ./slackware64/l/gegl-0.4.24-x86_64-1.txt
--rw-r--r-- 1 root root 1709024 2020-06-08 18:44 ./slackware64/l/gegl-0.4.24-x86_64-1.txz
--rw-r--r-- 1 root root 163 2020-06-08 18:44 ./slackware64/l/gegl-0.4.24-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 163 2019-10-08 18:28 ./slackware64/l/gdk-pixbuf2-2.40.0-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 406 2020-06-08 18:44 ./slackware64/l/gegl-0.4.24-x86_64-1.txt
+-rw-r--r-- 1 root root 1709024 2020-06-08 18:44 ./slackware64/l/gegl-0.4.24-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-06-08 18:44 ./slackware64/l/gegl-0.4.24-x86_64-1.txz.asc
-rw-r--r-- 1 root root 295 2019-12-30 01:02 ./slackware64/l/gexiv2-0.12.0-x86_64-2.txt
-rw-r--r-- 1 root root 480336 2019-12-30 01:02 ./slackware64/l/gexiv2-0.12.0-x86_64-2.txz
-rw-r--r-- 1 root root 163 2019-12-30 01:02 ./slackware64/l/gexiv2-0.12.0-x86_64-2.txz.asc
@@ -3223,8 +3218,8 @@ drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
-rw-r--r-- 1 root root 272 2018-04-13 15:08 ./slackware64/l/lzo-2.10-x86_64-2.txt
-rw-r--r-- 1 root root 85468 2018-04-13 15:08 ./slackware64/l/lzo-2.10-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 15:08 ./slackware64/l/lzo-2.10-x86_64-2.txz.asc
--rw-r--r-- 1 root root 24662 2020-07-21 19:58 ./slackware64/l/maketag
--rw-r--r-- 1 root root 24662 2020-07-21 19:58 ./slackware64/l/maketag.ez
+-rw-r--r-- 1 root root 24799 2020-07-29 04:33 ./slackware64/l/maketag
+-rw-r--r-- 1 root root 24799 2020-07-29 04:33 ./slackware64/l/maketag.ez
-rw-r--r-- 1 root root 520 2018-09-12 19:31 ./slackware64/l/media-player-info-24-noarch-1.txt
-rw-r--r-- 1 root root 20680 2018-09-12 19:31 ./slackware64/l/media-player-info-24-noarch-1.txz
-rw-r--r-- 1 root root 163 2018-09-12 19:31 ./slackware64/l/media-player-info-24-noarch-1.txz.asc
@@ -3288,6 +3283,9 @@ drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
-rw-r--r-- 1 root root 383 2019-10-11 03:01 ./slackware64/l/parted-3.3-x86_64-1.txt
-rw-r--r-- 1 root root 558968 2019-10-11 03:01 ./slackware64/l/parted-3.3-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-10-11 03:01 ./slackware64/l/parted-3.3-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 395 2020-07-29 02:36 ./slackware64/l/pcaudiolib-1.1-x86_64-1.txt
+-rw-r--r-- 1 root root 18476 2020-07-29 02:36 ./slackware64/l/pcaudiolib-1.1-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-07-29 02:36 ./slackware64/l/pcaudiolib-1.1-x86_64-1.txz.asc
-rw-r--r-- 1 root root 342 2020-02-13 18:01 ./slackware64/l/pcre-8.44-x86_64-1.txt
-rw-r--r-- 1 root root 807136 2020-02-13 18:01 ./slackware64/l/pcre-8.44-x86_64-1.txz
-rw-r--r-- 1 root root 163 2020-02-13 18:01 ./slackware64/l/pcre-8.44-x86_64-1.txz.asc
@@ -3486,7 +3484,7 @@ drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
-rw-r--r-- 1 root root 356 2018-04-13 15:23 ./slackware64/l/t1lib-5.1.2-x86_64-4.txt
-rw-r--r-- 1 root root 515556 2018-04-13 15:23 ./slackware64/l/t1lib-5.1.2-x86_64-4.txz
-rw-r--r-- 1 root root 163 2018-04-13 15:23 ./slackware64/l/t1lib-5.1.2-x86_64-4.txz.asc
--rw-r--r-- 1 root root 4520 2020-07-21 19:58 ./slackware64/l/tagfile
+-rw-r--r-- 1 root root 4549 2020-07-29 04:33 ./slackware64/l/tagfile
-rw-r--r-- 1 root root 339 2018-04-17 09:07 ./slackware64/l/taglib-1.11.1-x86_64-3.txt
-rw-r--r-- 1 root root 355744 2018-04-17 09:07 ./slackware64/l/taglib-1.11.1-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-17 09:07 ./slackware64/l/taglib-1.11.1-x86_64-3.txz.asc
@@ -3532,9 +3530,9 @@ drwxr-xr-x 2 root root 69632 2020-07-26 19:00 ./slackware64/l
-rw-r--r-- 1 root root 413 2020-06-09 21:31 ./slackware64/l/xapian-core-1.4.16-x86_64-1.txt
-rw-r--r-- 1 root root 2071412 2020-06-09 21:31 ./slackware64/l/xapian-core-1.4.16-x86_64-1.txz
-rw-r--r-- 1 root root 163 2020-06-09 21:31 ./slackware64/l/xapian-core-1.4.16-x86_64-1.txz.asc
--rw-r--r-- 1 root root 520 2020-06-25 17:54 ./slackware64/l/xxHash-0.7.4-x86_64-1.txt
--rw-r--r-- 1 root root 73032 2020-06-25 17:54 ./slackware64/l/xxHash-0.7.4-x86_64-1.txz
--rw-r--r-- 1 root root 163 2020-06-25 17:54 ./slackware64/l/xxHash-0.7.4-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 520 2020-07-28 17:52 ./slackware64/l/xxHash-0.8.0-x86_64-1.txt
+-rw-r--r-- 1 root root 74268 2020-07-28 17:52 ./slackware64/l/xxHash-0.8.0-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-07-28 17:52 ./slackware64/l/xxHash-0.8.0-x86_64-1.txz.asc
-rw-r--r-- 1 root root 388 2018-04-13 15:26 ./slackware64/l/zlib-1.2.11-x86_64-2.txt
-rw-r--r-- 1 root root 103500 2018-04-13 15:26 ./slackware64/l/zlib-1.2.11-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 15:26 ./slackware64/l/zlib-1.2.11-x86_64-2.txz.asc
@@ -4906,7 +4904,7 @@ drwxr-xr-x 2 root root 61440 2020-07-23 20:10 ./slackware64/x
-rw-r--r-- 1 root root 213 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txt
-rw-r--r-- 1 root root 25288 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txz.asc
-drwxr-xr-x 2 root root 12288 2020-07-27 18:20 ./slackware64/xap
+drwxr-xr-x 2 root root 12288 2020-07-29 04:36 ./slackware64/xap
-rw-r--r-- 1 root root 625 2020-04-05 20:17 ./slackware64/xap/MPlayer-20200103-x86_64-2.txt
-rw-r--r-- 1 root root 2733304 2020-04-05 20:17 ./slackware64/xap/MPlayer-20200103-x86_64-2.txz
-rw-r--r-- 1 root root 163 2020-04-05 20:17 ./slackware64/xap/MPlayer-20200103-x86_64-2.txz.asc
@@ -5026,9 +5024,9 @@ drwxr-xr-x 2 root root 12288 2020-07-27 18:20 ./slackware64/xap
-rw-r--r-- 1 root root 309 2018-06-06 06:21 ./slackware64/xap/x3270-3.3.12ga7-x86_64-5.txt
-rw-r--r-- 1 root root 723700 2018-06-06 06:21 ./slackware64/xap/x3270-3.3.12ga7-x86_64-5.txz
-rw-r--r-- 1 root root 163 2018-06-06 06:21 ./slackware64/xap/x3270-3.3.12ga7-x86_64-5.txz.asc
--rw-r--r-- 1 root root 426 2020-03-22 00:18 ./slackware64/xap/xaos-3.7-x86_64-1.txt
--rw-r--r-- 1 root root 426684 2020-03-22 00:18 ./slackware64/xap/xaos-3.7-x86_64-1.txz
--rw-r--r-- 1 root root 163 2020-03-22 00:18 ./slackware64/xap/xaos-3.7-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 426 2020-07-29 04:15 ./slackware64/xap/xaos-4.1-x86_64-1.txt
+-rw-r--r-- 1 root root 472608 2020-07-29 04:15 ./slackware64/xap/xaos-4.1-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2020-07-29 04:15 ./slackware64/xap/xaos-4.1-x86_64-1.txz.asc
-rw-r--r-- 1 root root 239 2018-04-13 17:48 ./slackware64/xap/xgames-0.3-x86_64-5.txt
-rw-r--r-- 1 root root 116364 2018-04-13 17:48 ./slackware64/xap/xgames-0.3-x86_64-5.txz
-rw-r--r-- 1 root root 163 2018-04-13 17:48 ./slackware64/xap/xgames-0.3-x86_64-5.txz.asc
@@ -5149,11 +5147,11 @@ drwxr-xr-x 2 root root 4096 2019-02-17 23:51 ./slackware64/y
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag.ez
-rw-r--r-- 1 root root 14 2018-03-01 07:55 ./slackware64/y/tagfile
-drwxr-xr-x 19 root root 4096 2020-07-27 18:21 ./source
--rw-r--r-- 1 root root 498941 2020-07-27 18:21 ./source/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2020-07-27 18:21 ./source/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 702338 2020-07-27 18:21 ./source/FILE_LIST
--rw-r--r-- 1 root root 21245800 2020-07-27 18:21 ./source/MANIFEST.bz2
+drwxr-xr-x 19 root root 4096 2020-07-29 04:48 ./source
+-rw-r--r-- 1 root root 499687 2020-07-29 04:48 ./source/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2020-07-29 04:48 ./source/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 703429 2020-07-29 04:48 ./source/FILE_LIST
+-rw-r--r-- 1 root root 21268423 2020-07-29 04:48 ./source/MANIFEST.bz2
-rw-r--r-- 1 root root 1314 2006-10-02 04:40 ./source/README.TXT
drwxr-xr-x 115 root root 4096 2020-06-27 19:15 ./source/a
-rw-r--r-- 1 root root 1034 2019-05-04 17:56 ./source/a/FTBFSlog
@@ -6905,9 +6903,9 @@ drwxr-xr-x 2 root root 4096 2020-05-24 17:51 ./source/d/gdb
-rwxr-xr-x 1 root root 4465 2020-02-08 19:06 ./source/d/gdb/gdb.SlackBuild
-rw-r--r-- 1 root root 1200 2018-02-27 06:48 ./source/d/gdb/slack-desc
lrwxrwxrwx 1 root root 12 2010-07-29 00:48 ./source/d/gettext-tools -> ../a/gettext
-drwxr-xr-x 2 root root 4096 2020-06-02 18:42 ./source/d/git
--rw-r--r-- 1 root root 566 2020-06-01 16:33 ./source/d/git/git-2.27.0.tar.sign
--rw-r--r-- 1 root root 6074636 2020-06-01 16:33 ./source/d/git/git-2.27.0.tar.xz
+drwxr-xr-x 2 root root 4096 2020-07-28 17:48 ./source/d/git
+-rw-r--r-- 1 root root 566 2020-07-27 16:45 ./source/d/git/git-2.28.0.tar.sign
+-rw-r--r-- 1 root root 6117608 2020-07-27 16:45 ./source/d/git/git-2.28.0.tar.xz
-rwxr-xr-x 1 root root 5305 2020-02-17 19:17 ./source/d/git/git.SlackBuild
-rw-r--r-- 1 root root 45 2015-09-01 20:04 ./source/d/git/git.url
-rw-r--r-- 1 root root 848 2018-02-27 06:13 ./source/d/git/slack-desc
@@ -7178,7 +7176,7 @@ drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./source/d/yasm
-rw-r--r-- 1 root root 1043 2018-02-27 06:13 ./source/d/yasm/slack-desc
-rw-r--r-- 1 root root 957808 2014-11-09 10:53 ./source/d/yasm/yasm-1.3.0.tar.xz
-rwxr-xr-- 1 root root 6190 2019-09-29 23:48 ./source/d/yasm/yasm.SlackBuild
-drwxr-xr-x 3 root root 4096 2019-11-25 18:31 ./source/e
+drwxr-xr-x 4 root root 4096 2020-07-29 02:36 ./source/e
-rw-r--r-- 1 root root 54 2018-02-03 02:50 ./source/e/FTBFSlog
drwxr-xr-x 2 root root 4096 2019-11-09 20:18 ./source/e/emacs
-rw-r--r-- 1 root root 1444 2019-10-31 10:13 ./source/e/emacs/0001-Support-ImageMagick-version-7.patch.gz
@@ -7187,6 +7185,12 @@ drwxr-xr-x 2 root root 4096 2019-11-09 20:18 ./source/e/emacs
-rw-r--r-- 1 root root 488 2019-08-28 21:02 ./source/e/emacs/emacs-26.3.tar.xz.sig
-rwxr-xr-x 1 root root 7050 2020-03-11 18:27 ./source/e/emacs/emacs.SlackBuild
-rw-r--r-- 1 root root 549 2018-02-27 06:13 ./source/e/emacs/slack-desc
+drwxr-xr-x 2 root root 4096 2020-07-29 04:41 ./source/e/emacspeak
+-rw-r--r-- 1 root root 15719370 2020-05-03 17:47 ./source/e/emacspeak/emacspeak-52.0.tar.lz
+-rwxr-xr-x 1 root root 5147 2020-07-29 02:52 ./source/e/emacspeak/emacspeak.SlackBuild
+-rw-r--r-- 1 root root 37 2020-07-28 19:08 ./source/e/emacspeak/emacspeak.url
+-rwxr-xr-x 1 root root 1421 2020-07-29 04:41 ./source/e/emacspeak/prune-unneeded-files.sh
+-rw-r--r-- 1 root root 1120 2018-02-27 06:13 ./source/e/emacspeak/slack-desc
drwxr-xr-x 2 root root 4096 2018-02-27 06:13 ./source/f
-rw-r--r-- 1 root root 960 2018-02-27 06:13 ./source/f/slack-desc.linux-faqs
-rw-r--r-- 1 root root 801 2018-02-27 06:13 ./source/f/slack-desc.linux-howtos
@@ -8415,7 +8419,7 @@ drwxr-xr-x 2 root root 4096 2018-02-27 06:35 ./source/kdei/kde-l10n/slack
-rw-r--r-- 1 root root 648 2018-02-27 06:35 ./source/kdei/kde-l10n/slack-desc/slack-desc.kde-l10n-wa
-rw-r--r-- 1 root root 698 2018-02-27 06:37 ./source/kdei/kde-l10n/slack-desc/slack-desc.kde-l10n-zh_CN
-rw-r--r-- 1 root root 687 2018-02-27 06:37 ./source/kdei/kde-l10n/slack-desc/slack-desc.kde-l10n-zh_TW
-drwxr-xr-x 338 root root 12288 2020-07-26 18:26 ./source/l
+drwxr-xr-x 340 root root 12288 2020-07-29 02:36 ./source/l
drwxr-xr-x 2 root root 4096 2020-05-16 19:32 ./source/l/ConsoleKit2
-rw-r--r-- 1 root root 711364 2018-11-17 13:31 ./source/l/ConsoleKit2/ConsoleKit2-1.2.1.tar.xz
-rwxr-xr-x 1 root root 5606 2020-05-16 19:32 ./source/l/ConsoleKit2/ConsoleKit2.SlackBuild
@@ -8692,6 +8696,11 @@ drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./source/l/esound
-rwxr-xr-x 1 root root 4432 2019-09-29 23:48 ./source/l/esound/esound.SlackBuild
-rw-r--r-- 1 root root 307 2018-02-07 08:59 ./source/l/esound/remove-confusing-spew.patch.gz
-rw-r--r-- 1 root root 958 2018-02-27 06:12 ./source/l/esound/slack-desc
+drwxr-xr-x 2 root root 4096 2020-07-29 01:42 ./source/l/espeak-ng
+-rw-r--r-- 1 root root 9554957 2019-11-29 16:50 ./source/l/espeak-ng/espeak-ng-1.50.tar.lz
+-rwxr-xr-x 1 root root 3903 2020-07-29 01:35 ./source/l/espeak-ng/espeak-ng.SlackBuild
+-rw-r--r-- 1 root root 39 2020-07-29 01:37 ./source/l/espeak-ng/espeak-ng.url
+-rw-r--r-- 1 root root 1063 2020-07-29 02:35 ./source/l/espeak-ng/slack-desc
drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./source/l/exiv2
-rw-r--r-- 1 root root 2880856 2017-07-07 06:41 ./source/l/exiv2/exiv2-0.26-trunk.tar.xz
-rwxr-xr-x 1 root root 4360 2019-09-29 23:48 ./source/l/exiv2/exiv2.SlackBuild
@@ -9803,6 +9812,11 @@ drwxr-xr-x 2 root root 4096 2019-10-11 02:58 ./source/l/parted
-rwxr-xr-x 1 root root 4652 2019-10-11 03:00 ./source/l/parted/parted.SlackBuild
-rwxr-xr-x 1 root root 4652 2019-10-11 03:02 ./source/l/parted/parted.SlackBuild.static
-rw-r--r-- 1 root root 836 2018-02-27 06:12 ./source/l/parted/slack-desc
+drwxr-xr-x 2 root root 4096 2020-07-29 00:46 ./source/l/pcaudiolib
+-rw-r--r-- 1 root root 29930 2018-02-27 07:23 ./source/l/pcaudiolib/pcaudiolib-1.1.tar.lz
+-rwxr-xr-x 1 root root 3903 2020-07-29 00:47 ./source/l/pcaudiolib/pcaudiolib.SlackBuild
+-rw-r--r-- 1 root root 40 2020-07-29 00:41 ./source/l/pcaudiolib/pcaudiolib.url
+-rw-r--r-- 1 root root 886 2020-07-29 02:35 ./source/l/pcaudiolib/slack-desc
drwxr-xr-x 2 root root 4096 2020-02-13 18:00 ./source/l/pcre
-rw-r--r-- 1 root root 1179460 2020-02-12 17:39 ./source/l/pcre/pcre-8.44.tar.lz
-rwxr-xr-x 1 root root 4953 2019-09-29 23:48 ./source/l/pcre/pcre.SlackBuild
@@ -10335,9 +10349,9 @@ drwxr-xr-x 2 root root 4096 2020-06-09 21:31 ./source/l/xapian-core
-rw-r--r-- 1 root root 872 2018-10-30 21:09 ./source/l/xapian-core/slack-desc
-rw-r--r-- 1 root root 3041132 2020-06-08 04:54 ./source/l/xapian-core/xapian-core-1.4.16.tar.xz
-rwxr-xr-x 1 root root 4287 2019-09-29 23:48 ./source/l/xapian-core/xapian-core.SlackBuild
-drwxr-xr-x 2 root root 4096 2020-06-25 17:54 ./source/l/xxHash
+drwxr-xr-x 2 root root 4096 2020-07-28 17:52 ./source/l/xxHash
-rw-r--r-- 1 root root 974 2020-06-23 19:09 ./source/l/xxHash/slack-desc
--rw-r--r-- 1 root root 110220 2020-06-25 06:32 ./source/l/xxHash/xxHash-0.7.4.tar.lz
+-rw-r--r-- 1 root root 112319 2020-07-27 18:57 ./source/l/xxHash/xxHash-0.8.0.tar.lz
-rwxr-xr-x 1 root root 3896 2020-06-23 19:18 ./source/l/xxHash/xxHash.SlackBuild
-rw-r--r-- 1 root root 35 2020-06-23 18:51 ./source/l/xxHash/xxHash.url
drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./source/l/zlib
@@ -12378,19 +12392,19 @@ drwxr-xr-x 2 root root 12288 2020-05-18 17:50 ./source/x/x11/slack-desc
-rw-r--r-- 1 root root 962 2012-04-08 02:13 ./source/x/x11/slack-desc/font-bitstream-speedo
-rw-r--r-- 1 root root 948 2012-04-08 02:14 ./source/x/x11/slack-desc/font-bitstream-type1
-rw-r--r-- 1 root root 946 2012-04-08 02:15 ./source/x/x11/slack-desc/font-cronyx-cyrillic
--rw-r--r-- 1 root root 890 2012-04-08 02:15 ./source/x/x11/slack-desc/font-cursor-misc
--rw-r--r-- 1 root root 890 2012-04-08 02:15 ./source/x/x11/slack-desc/font-daewoo-misc
--rw-r--r-- 1 root root 848 2012-04-08 02:15 ./source/x/x11/slack-desc/font-dec-misc
--rw-r--r-- 1 root root 864 2012-04-08 02:16 ./source/x/x11/slack-desc/font-ibm-type1
--rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-isas-misc
--rw-r--r-- 1 root root 848 2012-04-08 02:17 ./source/x/x11/slack-desc/font-jis-misc
--rw-r--r-- 1 root root 876 2012-04-08 02:17 ./source/x/x11/slack-desc/font-micro-misc
--rw-r--r-- 1 root root 918 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-cyrillic
--rw-r--r-- 1 root root 918 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-ethiopic
--rw-r--r-- 1 root root 890 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-meltho
--rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-misc
--rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-mutt-misc
--rw-r--r-- 1 root root 946 2012-04-08 02:17 ./source/x/x11/slack-desc/font-schumacher-misc
+-rw-r--r-- 1 root root 890 2012-04-08 02:15 ./source/x/x11/slack-desc/font-cursor-misc
+-rw-r--r-- 1 root root 890 2012-04-08 02:15 ./source/x/x11/slack-desc/font-daewoo-misc
+-rw-r--r-- 1 root root 848 2012-04-08 02:15 ./source/x/x11/slack-desc/font-dec-misc
+-rw-r--r-- 1 root root 864 2012-04-08 02:16 ./source/x/x11/slack-desc/font-ibm-type1
+-rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-isas-misc
+-rw-r--r-- 1 root root 848 2012-04-08 02:17 ./source/x/x11/slack-desc/font-jis-misc
+-rw-r--r-- 1 root root 876 2012-04-08 02:17 ./source/x/x11/slack-desc/font-micro-misc
+-rw-r--r-- 1 root root 918 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-cyrillic
+-rw-r--r-- 1 root root 918 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-ethiopic
+-rw-r--r-- 1 root root 890 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-meltho
+-rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-misc-misc
+-rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-mutt-misc
+-rw-r--r-- 1 root root 946 2012-04-08 02:17 ./source/x/x11/slack-desc/font-schumacher-misc
-rw-r--r-- 1 root root 946 2012-04-08 02:18 ./source/x/x11/slack-desc/font-screen-cyrillic
-rw-r--r-- 1 root root 862 2012-04-08 02:17 ./source/x/x11/slack-desc/font-sony-misc
-rw-r--r-- 1 root root 848 2012-04-08 02:18 ./source/x/x11/slack-desc/font-sun-misc
@@ -12907,7 +12921,7 @@ drwxr-xr-x 2 root root 4096 2020-07-13 18:19 ./source/x/xterm
-rw-r--r-- 1 root root 983206 2020-07-12 23:01 ./source/x/xterm/xterm-358.tar.lz
-rwxr-xr-x 1 root root 4903 2019-11-04 20:43 ./source/x/xterm/xterm.SlackBuild
-rw-r--r-- 1 root root 38 2018-08-13 18:38 ./source/x/xterm/xterm.url
-drwxr-xr-x 49 root root 4096 2020-07-24 18:28 ./source/xap
+drwxr-xr-x 49 root root 4096 2020-07-29 04:15 ./source/xap
-rw-r--r-- 1 root root 1719 2020-07-24 18:29 ./source/xap/FTBFSlog
drwxr-xr-x 2 root root 4096 2020-01-03 18:34 ./source/xap/MPlayer
-rw-r--r-- 1 root root 222707 2017-10-10 01:18 ./source/xap/MPlayer/Blue-1.13.tar.bz2
@@ -13206,13 +13220,11 @@ drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./source/xap/x3270
-rw-r--r-- 1 root root 762 2018-02-27 06:13 ./source/xap/x3270/slack-desc
-rw-r--r-- 1 root root 771256 2012-01-12 22:43 ./source/xap/x3270/x3270-3.3.12ga7.tar.xz
-rwxr-xr-x 1 root root 4522 2019-09-29 23:48 ./source/xap/x3270/x3270.SlackBuild
-drwxr-xr-x 2 root root 4096 2020-03-22 00:17 ./source/xap/xaos
--rw-r--r-- 1 root root 1065690 2020-03-22 00:13 ./source/xap/xaos/XaoS-release-3.7.tar.lz
+drwxr-xr-x 2 root root 4096 2020-07-29 04:05 ./source/xap/xaos
+-rw-r--r-- 1 root root 960754 2020-07-27 17:48 ./source/xap/xaos/XaoS-release-4.1.tar.lz
-rw-r--r-- 1 root root 878 2020-03-22 00:13 ./source/xap/xaos/slack-desc
-rw-r--r-- 1 root root 2796 2010-10-16 19:47 ./source/xap/xaos/xaos.6.gz
--rwxr-xr-x 1 root root 5402 2020-03-22 00:17 ./source/xap/xaos/xaos.SlackBuild
--rw-r--r-- 1 root root 161 2010-05-24 16:48 ./source/xap/xaos/xaos.desktop
--rw-r--r-- 1 root root 14980 2010-05-24 16:48 ./source/xap/xaos/xaos.png
+-rwxr-xr-x 1 root root 3318 2020-07-29 04:13 ./source/xap/xaos/xaos.SlackBuild
drwxr-xr-x 2 root root 4096 2019-09-29 23:48 ./source/xap/xgames
-rw-r--r-- 1 root root 269 1999-08-04 18:49 ./source/xap/xgames/maze.diff.gz
-rw-r--r-- 1 root root 7945 1994-10-22 00:44 ./source/xap/xgames/maze.tar.gz
diff --git a/extra/source/emacspeak/emacspeak.SlackBuild b/extra/source/emacspeak/emacspeak.SlackBuild
deleted file mode 100755
index b1ba6394..00000000
--- a/extra/source/emacspeak/emacspeak.SlackBuild
+++ /dev/null
@@ -1,150 +0,0 @@
-#!/bin/sh
-# Copyright 2006, 2008, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-
-CWD=$(pwd)
-
-PKGNAM=emacspeak
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
- esac
-fi
-
-if [ "$TMP" = "" ]; then
- TMP=/tmp
-fi
-PKG=$TMP/package-${PKGNAM}
-rm -rf $PKG
-mkdir -p $PKG
-
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
-else
- SLKCFLAGS="-O2"
-fi
-
-cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
-
-# Make sure ownerships and permissions are sane:
-chown -R root:root .
-find . -perm 666 -exec chmod 644 {} \+
-find . -perm 664 -exec chmod 644 {} \+
-find . -perm 600 -exec chmod 644 {} \+
-find . -perm 444 -exec chmod 644 {} \+
-find . -perm 400 -exec chmod 644 {} \+
-find . -perm 440 -exec chmod 644 {} \+
-find . -perm 777 -exec chmod 755 {} \+
-find . -perm 775 -exec chmod 755 {} \+
-find . -perm 511 -exec chmod 755 {} \+
-find . -perm 711 -exec chmod 755 {} \+
-find . -perm 555 -exec chmod 755 {} \+
-
-# Patch to use Tcl 8.6:
-zcat $CWD/emacspeak.tcl8.6.diff.gz | patch -p1 || exit 1
-
-# Compile the main program against Emacs:
-make config
-make emacspeak
-
-# Install:
-make prefix=$PKG/usr install || exit 1
-
-# Build the linux-outload server:
-( cd $PKG/usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud
- CFLAGS="$SLKCFLAGS" make
- rm -f *.o
-)
-
-# Fix path in emacspeak:
-( cd $PKG/usr/bin
- cat emacspeak | sed -e "s/\/tmp\/package-emacspeak//" > $TMP/emacspeak-filtered
- cat $TMP/emacspeak-filtered > emacspeak
- rm -f $TMP/emacspeak-filtered
-)
-
-mv $PKG/usr/share/info $PKG/usr
-
-# Strip binaries:
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-debug 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-debug 2> /dev/null
-)
-
-# Compress and link manpages, if any:
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- for manpagedir in $(find . -type d -name "man*") ; do
- ( cd $manpagedir
- for eachpage in $( find . -type l -maxdepth 1) ; do
- ln -s $( readlink $eachpage ).gz $eachpage.gz
- rm $eachpage
- done
- gzip -9 *.?
- )
- done
- )
-fi
-
-# Compress info files, if any:
-if [ -d $PKG/usr/info ]; then
- ( cd $PKG/usr/info
- rm -f dir
- gzip -9 *
- )
-fi
-
-# Add a documentation directory:
-mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
-( cd $PKG/usr/doc/${PKGNAM}-$VERSION
- ln -sf /usr/share/emacs/site-lisp/emacspeak/etc .
- ln -sf /usr/share/emacs/site-lisp/emacspeak/install-guide .
- ln -sf /usr/share/emacs/site-lisp/emacspeak/user-guide .
- ln -sf etc/COPYRIGHT .
- ln -sf etc/FAQ .
- ln -sf etc/HELP .
- ln -sf etc/NEWS .
- ln -sf etc/applications.html .
- ln -sf etc/remote.txt .
-)
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $TMP/package-${PKGNAM}
-makepkg -l y -c n ../${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/extra/source/emacspeak/emacspeak.git b/extra/source/emacspeak/emacspeak.git
deleted file mode 100644
index 2f6e5933..00000000
--- a/extra/source/emacspeak/emacspeak.git
+++ /dev/null
@@ -1 +0,0 @@
-git clone https://github.com/tvraman/emacspeak
diff --git a/extra/source/emacspeak/emacspeak.tcl8.6.diff b/extra/source/emacspeak/emacspeak.tcl8.6.diff
deleted file mode 100644
index 9cfe0374..00000000
--- a/extra/source/emacspeak/emacspeak.tcl8.6.diff
+++ /dev/null
@@ -1,33 +0,0 @@
---- ./servers/software-dtk/Makefile.orig 2009-08-28 16:07:35.000000000 -0500
-+++ ./servers/software-dtk/Makefile 2011-03-12 14:43:44.000000000 -0600
-@@ -2,7 +2,7 @@
- #
- LABEL=1.1
- DIST=software-dtk-$(LABEL)
--TCL_VERSION=8.4
-+TCL_VERSION=8.6
- CFLAGS+=-O3 -fpic -pedantic -ansi -Wall -I/usr/include/tcl$(TCL_VERSION)
- CPPFLAGS+=-DSTDC_HEADERS=1 -Dclock_t=long -DRETSIGTYPE=void
- INSTALL=install
---- ./servers/linux-espeak/Makefile.orig 2009-08-26 12:19:01.000000000 -0500
-+++ ./servers/linux-espeak/Makefile 2011-03-12 14:43:44.000000000 -0600
-@@ -4,7 +4,7 @@
- PREFIX = /usr
- LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
- LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-espeak
--TCL_VERSION = 8.4
-+TCL_VERSION = 8.6
- TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
- CXXFLAGS+= -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)
-
---- ./servers/linux-outloud/Makefile.orig 2010-11-23 12:57:29.000000000 -0600
-+++ ./servers/linux-outloud/Makefile 2011-03-12 14:43:44.000000000 -0600
-@@ -5,7 +5,7 @@
- LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
- LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud
-
--TCL_VERSION=8.4
-+TCL_VERSION=8.6
- TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
- #CFLAGS+= -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)
- CFLAGS+= -m32 -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)
diff --git a/recompress.sh b/recompress.sh
index e70477fd..fab87b24 100755
--- a/recompress.sh
+++ b/recompress.sh
@@ -3,7 +3,6 @@
# Run this script in the root directory of the repository to re-compress
# all patches and scripts that were un-compressed to make a better git commit:
#
-gzip ./extra/source/emacspeak/emacspeak.tcl8.6.diff
gzip ./extra/source/xv/xv-3.10a.patch
gzip ./extra/source/xv/xv-libpng-1.5.patch
gzip ./extra/source/xv/xv.prefix_x86_64.diff
diff --git a/slackware64/e/maketag b/slackware64/e/maketag
index 91c384c2..b16d1731 100644
--- a/slackware64/e/maketag
+++ b/slackware64/e/maketag
@@ -12,12 +12,13 @@ the SPACE key to deselect any items you don't want to install. \
Press ENTER when you are \
done." 16 72 6 \
"emacs" "The GNU Emacs system" "on" \
+"emacspeak" "Emacs speech interface" "on" \
2> $TMP/SeTpkgs
if [ $? = 1 -o $? = 255 ]; then
rm -f $TMP/SeTpkgs
> $TMP/SeTnewtag
for pkg in \
-emacs \
+emacs emacspeak \
; do
echo "$pkg: SKP" >> $TMP/SeTnewtag
done
@@ -25,7 +26,7 @@ emacs \
fi
cat /dev/null > $TMP/SeTnewtag
for PACKAGE in \
-emacs \
+emacs emacspeak \
; do
if grep "\(^\| \)$PACKAGE\( \|$\)" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
diff --git a/slackware64/e/maketag.ez b/slackware64/e/maketag.ez
index 91c384c2..b16d1731 100644
--- a/slackware64/e/maketag.ez
+++ b/slackware64/e/maketag.ez
@@ -12,12 +12,13 @@ the SPACE key to deselect any items you don't want to install. \
Press ENTER when you are \
done." 16 72 6 \
"emacs" "The GNU Emacs system" "on" \
+"emacspeak" "Emacs speech interface" "on" \
2> $TMP/SeTpkgs
if [ $? = 1 -o $? = 255 ]; then
rm -f $TMP/SeTpkgs
> $TMP/SeTnewtag
for pkg in \
-emacs \
+emacs emacspeak \
; do
echo "$pkg: SKP" >> $TMP/SeTnewtag
done
@@ -25,7 +26,7 @@ emacs \
fi
cat /dev/null > $TMP/SeTnewtag
for PACKAGE in \
-emacs \
+emacs emacspeak \
; do
if grep "\(^\| \)$PACKAGE\( \|$\)" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
diff --git a/slackware64/e/tagfile b/slackware64/e/tagfile
index 67968609..41dbd48a 100644
--- a/slackware64/e/tagfile
+++ b/slackware64/e/tagfile
@@ -1 +1,2 @@
emacs:ADD
+emacspeak:OPT
diff --git a/slackware64/l/maketag b/slackware64/l/maketag
index 7826cf87..bdbaa213 100644
--- a/slackware64/l/maketag
+++ b/slackware64/l/maketag
@@ -66,6 +66,7 @@ you are done." 22 74 10 \
"elfutils" "ELF object file access library and utilities" "on" \
"enchant" "A wrapper for spellcheck libraries" "on" \
"esound" "Enlightened Sound Daemon" "on" \
+"espeak-ng" "text-to-speech synthesizer" "on" \
"exiv2" "Exif and IPTC Metadata Library and Tools" "on" \
"expat" "XML parser library" "on" \
"farstream" "GStreamer videoconferencing support" "on" \
@@ -268,6 +269,7 @@ you are done." 22 74 10 \
"pango" "Text rendering library" "on" \
"pangomm" "Text rendering library for GTKmm" "on" \
"parted" "GNU parted, a partition manipulation program" "on" \
+"pcaudiolib" "Portable C Audio Library" "on" \
"pcre" "Perl-compatible regular expression library" "on" \
"pcre2" "Perl compatible regular expression library v2" "on" \
"phonon" "Multimedia framework for KDE4" "on" \
@@ -357,7 +359,7 @@ if [ $? = 1 -o $? = 255 ]; then
rm -f $TMP/SeTpkgs
> $TMP/SeTnewtag
for pkg in \
-ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
+ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound espeak-ng exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcaudiolib pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
; do
echo "$pkg: SKP" >> $TMP/SeTnewtag
done
@@ -365,7 +367,7 @@ ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_
fi
cat /dev/null > $TMP/SeTnewtag
for PACKAGE in \
-ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
+ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound espeak-ng exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcaudiolib pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
; do
if grep "\(^\| \)$PACKAGE\( \|$\)" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
diff --git a/slackware64/l/maketag.ez b/slackware64/l/maketag.ez
index 7826cf87..bdbaa213 100644
--- a/slackware64/l/maketag.ez
+++ b/slackware64/l/maketag.ez
@@ -66,6 +66,7 @@ you are done." 22 74 10 \
"elfutils" "ELF object file access library and utilities" "on" \
"enchant" "A wrapper for spellcheck libraries" "on" \
"esound" "Enlightened Sound Daemon" "on" \
+"espeak-ng" "text-to-speech synthesizer" "on" \
"exiv2" "Exif and IPTC Metadata Library and Tools" "on" \
"expat" "XML parser library" "on" \
"farstream" "GStreamer videoconferencing support" "on" \
@@ -268,6 +269,7 @@ you are done." 22 74 10 \
"pango" "Text rendering library" "on" \
"pangomm" "Text rendering library for GTKmm" "on" \
"parted" "GNU parted, a partition manipulation program" "on" \
+"pcaudiolib" "Portable C Audio Library" "on" \
"pcre" "Perl-compatible regular expression library" "on" \
"pcre2" "Perl compatible regular expression library v2" "on" \
"phonon" "Multimedia framework for KDE4" "on" \
@@ -357,7 +359,7 @@ if [ $? = 1 -o $? = 255 ]; then
rm -f $TMP/SeTpkgs
> $TMP/SeTnewtag
for pkg in \
-ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
+ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound espeak-ng exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcaudiolib pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
; do
echo "$pkg: SKP" >> $TMP/SeTnewtag
done
@@ -365,7 +367,7 @@ ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_
fi
cat /dev/null > $TMP/SeTnewtag
for PACKAGE in \
-ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
+ConsoleKit2 GConf LibRaw M2Crypto Mako PyQt PyQt5 QScintilla SDL2 SDL2_gfx SDL2_image SDL2_mixer SDL2_net SDL2_ttf a52dec aalib adwaita-icon-theme akonadi alsa-lib alsa-oss alsa-plugins apr apr-util argon2 aspell aspell-en at-spi2-atk at-spi2-core atk atkmm attica audiofile automoc4 babl boost brotli cairo cairomm chmlib clucene db48 dbus-glib dbus-python dconf dconf-editor desktop-file-utils djvulibre ebook-tools eigen2 eigen3 elfutils enchant esound espeak-ng exiv2 expat farstream ffmpeg fftw fluidsynth freetype fribidi fuse fuse3 gamin gc gcr gd gdbm gdk-pixbuf2 gegl gexiv2 giflib glade3 glib glib-networking glib2 glibc glibc-i18n glibc-profile glibmm gmime gmm gmp gnome-keyring gnome-themes-extra gnu-efi gobject-introspection grantlee graphite2 gsettings-desktop-schemas gsl gst-plugins-base gst-plugins-base0 gst-plugins-good gst-plugins-good0 gst-plugins-libav gstreamer gstreamer0 gtk+ gtk+2 gtk+3 gtkmm2 gtkmm3 gtkspell gvfs harfbuzz hicolor-icon-theme hunspell hyphen icon-naming-utils icu4c id3lib ilmbase imagemagick isl iso-codes jansson jasper jemalloc jmtpfs json-c json-glib judy keybinder3 keyutils lame lcms lcms2 libaio libao libarchive libasyncns libatasmart libbluedevil libbluray libcaca libcanberra libcap libcap-ng libcddb libcdio libcdio-paranoia libclc libcroco libcue libdbusmenu-qt libdiscid libdvdnav libdvdread libedit libevent libexif libfakekey libffi libglade libgnome-keyring libgphoto2 libgpod libgsf libical libid3tag libidl libidn libidn2 libieee1284 libimobiledevice libiodbc libjpeg-turbo libkarma liblastfm libmad libmcrypt libmng libmpc libmtp libnice libnih libnjb libnl libnl3 libnotify libodfgen libogg liboggz liboil libopusenc libpcap libplist libpng libproxy libpsl libraw1394 librevenge librsvg libsamplerate libsecret libsigc++ libsigsegv libsndfile libsodium libsoup libspectre libssh libssh2 libtasn1 libtheora libtiff libunistring libunwind libusb libusb-compat libusbmuxd libuv libvisio libvisual libvisual-plugins libvncserver libvorbis libvpx libwebp libwmf libwnck libwpd libwpg libxkbcommon libxklavier libxml2 libxslt libyaml libzip lmdb loudmouth lz4 lzo media-player-info mhash mm mozilla-nss mozjs60 mpfr ncurses neon netpbm newt ocl-icd oniguruma openal-soft openexr openjpeg opus opusfile orc pango pangomm parted pcaudiolib pcre pcre2 phonon phonon-gstreamer pilot-link polkit polkit-gnome polkit-qt-1 poppler poppler-data popt pulseaudio pycairo pycups pycurl pygobject pygobject3 pygtk pyparsing python-appdirs python-certifi python-chardet python-distro python-docutils python-future python-idna python-notify2 python-packaging python-pillow python-ply python-pygments python-requests python-sane python-six python-urllib3 python2-module-collection qca qimageblitz qjson qt qt-gstreamer qt5 qt5-webkit qtscriptgenerator raptor2 rasqal readline redland sbc sdl serf sg3_utils shared-desktop-ontologies shared-mime-info sip slang slang1 soprano sound-theme-freedesktop speex speexdsp startup-notification strigi svgalib system-config-printer t1lib taglib taglib-extras talloc tango-icon-theme tango-icon-theme-extras tdb tevent tidy-html5 urwid utf8proc v4l-utils vte wavpack woff2 xapian-core xxHash zlib zstd \
; do
if grep "\(^\| \)$PACKAGE\( \|$\)" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
diff --git a/slackware64/l/tagfile b/slackware64/l/tagfile
index d660dc03..0fdde209 100644
--- a/slackware64/l/tagfile
+++ b/slackware64/l/tagfile
@@ -51,6 +51,7 @@ eigen3:REC
elfutils:REC
enchant:REC
esound:REC
+espeak-ng:REC
exiv2:REC
expat:REC
farstream:REC
@@ -253,6 +254,7 @@ orc:REC
pango:REC
pangomm:REC
parted:ADD
+pcaudiolib:REC
pcre:REC
pcre2:REC
phonon:REC
diff --git a/source/e/emacspeak/emacspeak.SlackBuild b/source/e/emacspeak/emacspeak.SlackBuild
new file mode 100755
index 00000000..ab9644b1
--- /dev/null
+++ b/source/e/emacspeak/emacspeak.SlackBuild
@@ -0,0 +1,158 @@
+#!/bin/sh
+# Copyright 2006, 2008, 2010, 2011, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=emacspeak
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $PKG/usr/info
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Remove dangling symlinks:
+find . -xtype l -exec rm -f {} \;
+
+# Compile the main program against Emacs:
+make config
+make emacspeak
+if [ ! -r info/emacspeak.info ]; then
+ makeinfo -o info/ info/emacspeak.texi
+fi
+
+# Build espeak server if espeak or espeak-ng are installed:
+if [ -e /usr/bin/espeak ]; then
+ make espeak || exit 1
+fi
+
+# Install (there is no longer a "make install" feature...):
+mkdir -p $PKG/usr/share/emacs/site-lisp
+cp -a $TMP/${PKGNAM}-${VERSION} $PKG/usr/share/emacs/site-lisp/emacspeak
+mv $PKG/usr/share/emacs/site-lisp/emacspeak/info/*.info* $PKG/usr/info
+rm -rf $PKG/usr/share/emacs/site-lisp/emacspeak/info
+# Create an emacspeak run script:
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/emacspeak
+#!/bin/sh
+# Start emacspeak.
+# Default to using espeak unless DTK_PROGRAM is set.
+#
+:\${DTK_PROGRAM} ? "Using \${DTK_PROGRAM}" : export DTK_PROGRAM="espeak"
+if [ ! -e /usr/bin/espeak -a "\$DTK_PROGRAM" = "espeak" ]; then
+ echo "espeak (or espeak-ng) not installed. Please set a supported speech server like this:"
+ echo " export DTK_PROGRAM=<speech engine>"
+ echo "Then re-run this script."
+fi
+if [ -d \$HOME/.emacs.d/init.el ]; then
+ emacs -q -l /usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el -l \$HOME/.emacs.d/init.el \$*
+else
+ emacs -q -l /usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el \$*
+fi
+EOF
+chown root:root $PKG/usr/bin/emacspeak
+chmod 755 $PKG/usr/bin/emacspeak
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-debug 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-debug 2> /dev/null
+)
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+( cd $PKG/usr/doc/${PKGNAM}-$VERSION
+ ln -sf /usr/share/emacs/site-lisp/emacspeak/etc .
+ ln -sf etc/COPYRIGHT .
+ ln -sf etc/NEWS .
+ ln -sf /usr/share/emacs/site-lisp/emacspeak/README.md .
+ ln -sf /usr/share/emacs/site-lisp/emacspeak/blog-archive .
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $TMP/package-${PKGNAM}
+makepkg -l y -c n ../${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/e/emacspeak/emacspeak.url b/source/e/emacspeak/emacspeak.url
new file mode 100644
index 00000000..c0195a56
--- /dev/null
+++ b/source/e/emacspeak/emacspeak.url
@@ -0,0 +1 @@
+https://github.com/tvraman/emacspeak
diff --git a/source/e/emacspeak/prune-unneeded-files.sh b/source/e/emacspeak/prune-unneeded-files.sh
new file mode 100755
index 00000000..6acef88d
--- /dev/null
+++ b/source/e/emacspeak/prune-unneeded-files.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Repacks the emacspeak tarball to remove some large/unused files.
+
+PKGNAM=emacspeak
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+
+# Unpack original .tar.bz2:
+rm -rf ${PKGNAM}-${VERSION}
+tar xf ${PKGNAM}-${VERSION}.tar.bz2 || exit 1
+
+# I have no idea what these are useful for. They aren't referenced anywhere
+# else. If .json weren't such a bloated format I might keep them just in case,
+# but let's strip them out for now. If it would be better to keep them (perhaps
+# compressed as .gz or .xz), let me know.
+( cd ${PKGNAM}-${VERSION}/etc && rm -f CompSciFact.json TVRaman.json UnixToolTip.json )
+
+# Get rid of support files used to build .html:
+( cd ${PKGNAM}-${VERSION}/etc
+ for file in *.html ; do
+ for supportfile in $(basename $file .html).* ; do
+ if [ ! "$file" = "$supportfile" ]; then
+ rm -f $supportfile
+ fi
+ done
+ done
+)
+
+# Keep the last 6 NEWS files:
+( cd ${PKGNAM}-${VERSION}/etc
+ mkdir news-tmp
+ mv $(ls -t NEWS* | head -n 6) news-tmp
+ rm -f NEWS*
+ mv news-tmp/* .
+ rmdir news-tmp
+)
+
+# Drop the Makefile in etc/:
+rm -f ${PKGNAM}-${VERSION}/etc/Makefile
+
+# Repack as .tar.lz:
+rm -f ${PKGNAM}-${VERSION}.tar
+tar cf ${PKGNAM}-${VERSION}.tar ${PKGNAM}-${VERSION}
+rm -f ${PKGNAM}-${VERSION}.tar.lz
+plzip -9 ${PKGNAM}-${VERSION}.tar
+touch -r ${PKGNAM}-${VERSION}.tar.bz2 ${PKGNAM}-${VERSION}.tar.lz
+rm -r ${PKGNAM}-${VERSION}
diff --git a/extra/source/emacspeak/slack-desc b/source/e/emacspeak/slack-desc
index 8cd00c4d..8cd00c4d 100644
--- a/extra/source/emacspeak/slack-desc
+++ b/source/e/emacspeak/slack-desc
diff --git a/source/l/espeak-ng/espeak-ng.SlackBuild b/source/l/espeak-ng/espeak-ng.SlackBuild
new file mode 100755
index 00000000..daf1b46f
--- /dev/null
+++ b/source/l/espeak-ng/espeak-ng.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=espeak-ng
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* CHANGELOG* COPYING* NEWS* README* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/espeak-ng/espeak-ng.url b/source/l/espeak-ng/espeak-ng.url
new file mode 100644
index 00000000..abef4240
--- /dev/null
+++ b/source/l/espeak-ng/espeak-ng.url
@@ -0,0 +1 @@
+https://github.com/espeak-ng/espeak-ng
diff --git a/source/l/espeak-ng/slack-desc b/source/l/espeak-ng/slack-desc
new file mode 100644
index 00000000..dcdf6d94
--- /dev/null
+++ b/source/l/espeak-ng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+espeak-ng: espeak-ng (text-to-speech synthesizer)
+espeak-ng:
+espeak-ng: The eSpeak NG (Next Generation) Text-to-Speech program is an open
+espeak-ng: source speech synthesizer that supports many languages and accents. It
+espeak-ng: is based on the eSpeak engine created by Jonathan Duddington. It uses
+espeak-ng: spectral formant synthesis by default which sounds robotic, but can be
+espeak-ng: configured to use Klatt formant synthesis or MBROLA to give it a more
+espeak-ng: natural sound.
+espeak-ng:
+espeak-ng: Homepage: https://github.com/espeak-ng/espeak-ng
+espeak-ng:
diff --git a/source/l/pcaudiolib/pcaudiolib.SlackBuild b/source/l/pcaudiolib/pcaudiolib.SlackBuild
new file mode 100755
index 00000000..3412d843
--- /dev/null
+++ b/source/l/pcaudiolib/pcaudiolib.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=pcaudiolib
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* CHANGELOG* COPYING* NEWS* README* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/pcaudiolib/pcaudiolib.url b/source/l/pcaudiolib/pcaudiolib.url
new file mode 100644
index 00000000..a54fd42f
--- /dev/null
+++ b/source/l/pcaudiolib/pcaudiolib.url
@@ -0,0 +1 @@
+https://github.com/espeak-ng/pcaudiolib
diff --git a/source/l/pcaudiolib/slack-desc b/source/l/pcaudiolib/slack-desc
new file mode 100644
index 00000000..e8901192
--- /dev/null
+++ b/source/l/pcaudiolib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcaudiolib: pcaudiolib (Portable C Audio Library)
+pcaudiolib:
+pcaudiolib: The Portable C Audio Library provides a C API to different audio
+pcaudiolib: systems, such as ALSA, PulseAudio, and OSS. It is primarily used by
+pcaudiolib: the eSpeak NG text-to-speech synthesizer.
+pcaudiolib:
+pcaudiolib: Homepage: https://github.com/espeak-ng/pcaudiolib
+pcaudiolib:
+pcaudiolib:
+pcaudiolib:
+pcaudiolib:
diff --git a/source/xap/xaos/xaos.SlackBuild b/source/xap/xaos/xaos.SlackBuild
index 7f901ed2..62e1c058 100755
--- a/source/xap/xaos/xaos.SlackBuild
+++ b/source/xap/xaos/xaos.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2010 B. Watson (yalhcru@gmail.com)
-# Copyright 2010, 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,43 +21,6 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Slackware build script for xaos
-
-# Written by B. Watson (yalhcru@gmail.com)
-
-# A few notes:
-#
-# Package really wants to use its own CFLAGS (even checks for them
-# in the configure script). Let it...
-#
-# SFFE is the user formula evaluator, which allows users to define their
-# own fractals. On x86 platforms, an assembly-language implementation of
-# SFFE is used. On non-x86 platforms, SFFE requires a library called GSL
-# (GNU Scientific Library, available from SBo).
-#
-# xaos is still interesting and useful without SFFE support (most users
-# probably don't know/care about the math, so they'll never use the SFFE
-# stuff anyway), so we'll just disable it on non-x86 platforms by default.
-#
-# If you really want to use it, set USE_GSL=yes in the environment before
-# running this script. There's no need to use GSL on x86 platforms, since
-# the asm code is (or should be) faster, but the option is there if you
-# want to use it anyway.
-#
-# Multilib users also have the option of building on a 32-bit Slackware system
-# (or in a chroot) and the resulting package will run just fine on 64-bit.
-#
-# If the preceding didn't make any sense, here's the bottom line:
-#
-# - Regular Slackware (x86) users can just run this script and ignore the junk
-# above.
-#
-# - Everyone else (Slamd64, Bluewhite64, Slackware64, ???) can just
-# run this script and probably never notice the missing functionality.
-#
-# - If you're not on x86, but you want the formula evaluator, install GSL
-# and then run this script with USE_GSL=yes in the environment.
-
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xaos
@@ -84,23 +47,12 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
-USE_GSL=${USE_GSL:-no}
-
-if [ "$USE_GSL" = "yes" ]; then
- GSL_OPT="yes"
- SFFE_OPT="yes"
-elif [ "$ARCH" = "i486" -o "$ARCH" = "i686" ]; then
- GSL_OPT="no"
- SFFE_OPT="yes"
-else
- GSL_OPT="no"
- SFFE_OPT="no"
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -111,50 +63,37 @@ cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
-./configure \
- --prefix=/usr \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --infodir=/usr/info \
- --mandir=/usr/man \
- --with-gsl=$GSL_OPT \
- --with-sffe=$SFFE_OPT \
- --with-pthread=yes \
- --build=$ARCH-slackware-linux
+qmake-qt5
+make $NUMJOBS || exit 1
-make || exit 1
-# binary already stripped, yay!
-make install DESTDIR=$PKG || exit 1
+mkdir -p $PKG/usr/bin
+cp -a bin/xaos $PKG/usr/bin/xaos
+chown root:root $PKG/usr/bin/xaos
+chmod 755 $PKG/usr/bin/xaos
-# Replace bogus manpage:
-zcat $CWD/xaos.6.gz > $PKG/usr/man/man6/xaos.6
+mkdir -p $PKG/usr/share/XaoS
+cp -a catalogs tutorial $PKG/usr/share/XaoS
-gzip -9 $PKG/usr/man/man6/xaos.6
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*.info*
+mkdir -p $PKG/usr/share/XaoS/examples
+cp -a examples/README $(find examples -name "*.xpf") $(find examples -name "*.xaf") $PKG/usr/share/XaoS/examples
-mkdir -p $PKG/usr/doc
-mv $PKG/usr/share/XaoS/doc $PKG/usr/doc/xaos-$VERSION
-( cd $PKG/usr/share/XaoS ; ln -sf ../../doc/xaos-$VERSION doc )
+mkdir -p $PKG/usr/share/pixmaps
+cp -a xdg/xaos.png $PKG/usr/share/pixmaps
mkdir -p $PKG/usr/share/applications
-cat $CWD/xaos.desktop > $PKG/usr/share/applications/xaos.desktop
+cp -a xdg/xaos.desktop $PKG/usr/share/applications
-mkdir -p $PKG/usr/share/pixmaps
-cat $CWD/xaos.png > $PKG/usr/share/pixmaps/xaos.png
+# Replace bogus manpage:
+mkdir -p $PKG/usr/man/man6
+zcat $CWD/xaos.6.gz > $PKG/usr/man/man6/xaos.6
+gzip -9 $PKG/usr/man/man6/xaos.6
-chmod 644 $PKG/usr/doc/xaos-$VERSION/*
-rm -f $PKG/usr/doc/xaos-$VERSION/ChangeLog.old
+mkdir -p $PKG/usr/doc/xaos-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README* TODO \
+ COPYING* CREDITS* NEWS* README* \
$PKG/usr/doc/xaos-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
+cp -a doc/XaoS.lsm $PKG/usr/doc/xaos-$VERSION
+cp -a doc/README $PKG/usr/doc/xaos-$VERSION/wiki.url
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/xap/xaos/xaos.desktop b/source/xap/xaos/xaos.desktop
deleted file mode 100644
index 5157bf9d..00000000
--- a/source/xap/xaos/xaos.desktop
+++ /dev/null
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Version=1.0
-Name=XaoS
-GenericName=XaoS Fractal Explorer
-Type=Application
-Exec=xaos
-Icon=xaos
-Terminal=false
-StartupNotify=false
-Categories=Game;
diff --git a/source/xap/xaos/xaos.png b/source/xap/xaos/xaos.png
deleted file mode 100644
index 9aa39b81..00000000
--- a/source/xap/xaos/xaos.png
+++ /dev/null
Binary files differ